| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableGeneric Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableGeneric:
[legend]

## Public Member Functions
def | __init__ (self, name=Configurable.DefaultName)
def | __deepcopy__ (self, memo)
def | getGaudiType (self)
def | getDlls (self)
def | getHandle (self)
def | __setattr__ (self, name, value)
def | getJobOptName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__ (self, name=DefaultName)
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__ (self, configs, descr=None)
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool (self, tool, name=None)
def | __repr__ (self)
def | __str__ (self, indent=0, headerLastIndentUnit=indentUnit)

## Private Attributes
| _name
| _properties

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
| propertyNoValue
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 949 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableGeneric.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 952 of file Configurable.py.

952 def __init__( self, name = Configurable.DefaultName ):
953 Configurable.__init__( self, name )
954 self._name = name
955 self._properties = {}
956
GaudiKernel.Configurable.ConfigurableGeneric.__init__
def __init__(self, name=Configurable.DefaultName)
Definition: Configurable.py:952
GaudiKernel.Configurable.Configurable._name
_name
Definition: Configurable.py:295
GaudiKernel.Configurable.ConfigurableGeneric._properties
_properties
Definition: Configurable.py:955

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableGeneric.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Definition at line 957 of file Configurable.py.

957 def __deepcopy__( self, memo ):
958 return self # algorithms are always shared
959
GaudiKernel.Configurable.ConfigurableGeneric.__deepcopy__
def __deepcopy__(self, memo)
Definition: Configurable.py:957

def GaudiKernel.Configurable.ConfigurableGeneric.__setattr__ | ( |  | self,
|  |  | name,
|  |  | value
| ) |  |

Definition at line 964 of file Configurable.py.

964 def __setattr__( self, name, value ):
965 # filter private (user) variables
966 if name[0] == '_':
967 super( ConfigurableGeneric, self ).__setattr__( name, value )
968 return
969
970 # filter configurable types
971 if isinstance( value, Configurable ):
972 self.__dict__[ name ] = value
973 return
974
975 # assume all the rest are properties
976 if not name in self._properties:
977 self._properties[ name ] = PropertyProxy( DummyDescriptor( name ) )
978 self._properties[ name ].__set__( self, value )
979
GaudiKernel.PropertyProxy.PropertyProxy
Definition: PropertyProxy.py:62
GaudiKernel.Configurable.ConfigurableGeneric.__setattr__
def __setattr__(self, name, value)
Definition: Configurable.py:964
GaudiKernel.Configurable.DummyDescriptor
classes for generic Gaudi component ===========
Definition: Configurable.py:939
GaudiKernel.Configurable.ConfigurableGeneric._properties
_properties
Definition: Configurable.py:955

def GaudiKernel.Configurable.ConfigurableGeneric.getDlls | ( |  | self | ) |

Definition at line 961 of file Configurable.py.

961 def getDlls( self ) : pass
GaudiKernel.Configurable.ConfigurableGeneric.getDlls
def getDlls(self)
Definition: Configurable.py:961

def GaudiKernel.Configurable.ConfigurableGeneric.getGaudiType | ( |  | self | ) |

Definition at line 960 of file Configurable.py.

960 def getGaudiType( self ): return 'GenericComponent'
GaudiKernel.Configurable.ConfigurableGeneric.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:960

def GaudiKernel.Configurable.ConfigurableGeneric.getHandle | ( |  | self | ) |

Definition at line 962 of file Configurable.py.

962 def getHandle( self ) : pass
963
GaudiKernel.Configurable.ConfigurableGeneric.getHandle
def getHandle(self)
Definition: Configurable.py:962

def GaudiKernel.Configurable.ConfigurableGeneric.getJobOptName | ( |  | self | ) |

Definition at line 980 of file Configurable.py.

980 def getJobOptName( self ): return None
981
982
GaudiKernel.Configurable.ConfigurableGeneric.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:980

## Member Data Documentation

GaudiKernel.Configurable.ConfigurableGeneric._name
| private

Definition at line 954 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableGeneric._properties
| private

Definition at line 955 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py